Bug 83069 - Web Inspector: CodeGeneratorInspector.py: switch FileSystem, Profiler and Worker domains to typed API
Summary: Web Inspector: CodeGeneratorInspector.py: switch FileSystem, Profiler and Wor...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (Deprecated) (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 72861
  Show dependency treegraph
 
Reported: 2012-04-03 14:16 PDT by Peter Rybin
Modified: 2012-04-05 06:25 PDT (History)
10 users (show)

See Also:


Attachments
Patch (5.23 KB, patch)
2012-04-03 14:20 PDT, Peter Rybin
no flags Details | Formatted Diff | Diff
Merge (5.21 KB, patch)
2012-04-04 09:00 PDT, Peter Rybin
no flags Details | Formatted Diff | Diff
Add missing specialization (5.57 KB, patch)
2012-04-04 09:25 PDT, Peter Rybin
no flags Details | Formatted Diff | Diff
rebase (5.79 KB, patch)
2012-04-04 10:49 PDT, Peter Rybin
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Rybin 2012-04-03 14:16:12 PDT
Do not allow InspectorObject and other raw interfaces in FileSystem, Profiler and Worker domains anymore.
Comment 1 Peter Rybin 2012-04-03 14:20:59 PDT
Created attachment 135426 [details]
Patch
Comment 2 Yury Semikhatsky 2012-04-04 05:39:37 PDT
bj/third_party/WebKit/Source/WebCore/inspector/webcore_remaining.InspectorProfilerAgent.o
In file included from gen/webkit/InspectorBackendDispatcher.h:12,
                 from ../../third_party/WebKit/Source/WebCore/inspector/InspectorBaseAgent.h:34,
                 from ../../third_party/WebKit/Source/WebCore/inspector/InspectorProfilerAgent.h:35,
                 from ../../third_party/WebKit/Source/WebCore/inspector/InspectorProfilerAgent.cpp:34:
gen/webkit/InspectorTypeBuilder.h: In instantiation of 'WebCore::TypeBuilder::ArrayItemHelper<WebCore::InspectorObject>':
gen/webkit/InspectorTypeBuilder.h:62:   instantiated from 'void WebCore::TypeBuilder::Array<T>::addItem(WTF::PassRefPtr<T>) [with T = WebCore::InspectorObject]'
../../third_party/WebKit/Source/WebCore/inspector/InspectorProfilerAgent.cpp:249:   instantiated from here
gen/webkit/InspectorTypeBuilder.h:51: error: no type named 'ItemTraits' in 'class WebCore::InspectorObject'
Comment 3 Peter Rybin 2012-04-04 09:00:48 PDT
Created attachment 135601 [details]
Merge
Comment 4 Early Warning System Bot 2012-04-04 09:18:40 PDT
Comment on attachment 135601 [details]
Merge

Attachment 135601 [details] did not pass qt-wk2-ews (qt):
Output: http://queues.webkit.org/results/12324816
Comment 5 Peter Rybin 2012-04-04 09:25:34 PDT
Created attachment 135609 [details]
Add missing specialization
Comment 6 Peter Rybin 2012-04-04 10:49:55 PDT
Created attachment 135625 [details]
rebase
Comment 7 WebKit Review Bot 2012-04-05 06:25:19 PDT
Comment on attachment 135625 [details]
rebase

Clearing flags on attachment: 135625

Committed r113318: <http://trac.webkit.org/changeset/113318>
Comment 8 WebKit Review Bot 2012-04-05 06:25:24 PDT
All reviewed patches have been landed.  Closing bug.